[Om2009] testing Release 3

Angus Ainslie nytowl at openmoko.org
Sat May 9 19:41:43 CEST 2009

On Sat, 2009-05-09 at 16:42 +0100, Christian Gagneraud wrote:
> Angus Ainslie wrote:
> > Hi,
> [...]
> > 
> > PS for the power users that would just like to do an opkg update; opkg upgrade it
> > won't work.  At the very minimum you will need to 
> > opkg remove -force-depends frameworkd paroli 
> > and then reinstall them ( and no -force-reinstall won't be enough )
> Why do you say "At the very minimum", what else is required/recommended?
> I would like to upgrade from testing 2 to testing 3, can you confirm 
> that the following will work?
> opkg update
> opkg remove -force-depends frameworkd paroli
> opkg install frameworkd paroli
> opkg upgrade

No I can't confirm that it will work. That may be sufficient but there
might be other dependencies I have missed, some will be upgrade
automatically but there is a small class ( those packages pegged from
git and svn repos ) that won't upgrade automatically. The only thing I
can confirm is that I have used this technique on one of the testing
phones and the phone seemed to work correctly.

The only way to guarantee that all of the dependencies are properly
upgraded is to flash the image.

> As well do i need to update the kernel and/or Qi?

If qi was working with release 2 it doesn't need to be changed and the
kernel is the same as release 2.

More information about the community mailing list